import { BaseCollection } from './BaseCollection';
import { Client } from '../Client';
import { House } from './House';
import { Room } from './Room';
import { User } from './User';
export declare interface Message {
    id: string;
    content: string;
    timestamp: Date;
    room: Room;
    house: House;
    author: User;
}
export declare class Message extends BaseCollection {
    private client;
    constructor(client: Client);
    collect<T = any>(key: string, value: any): T;
    destroy(): Promise<any>;
    edit(content: string): Promise<any>;
}
