import { BaseCollection } from './BaseCollection';
import { Client } from '../Client';
import { Message } from './Message';
export declare interface User {
    id: string;
    name: string;
    username: string;
    bot: boolean;
    created: Date;
}
export declare class User extends BaseCollection {
    private client?;
    constructor(client: Client);
    collect: (key: string, value: any) => any;
    destroy: (key: string | number) => boolean;
    send(content: string, id: string): Promise<Message>;
}
