interface Error {
    code: string;
    message: string;
}
interface APIError {
    path: string;
    status: number;
    error: Error;
    method: 'get' | 'post' | 'put' | 'delete' | 'patch' | 'options' | 'head';
}
export default class ApiError extends Error {
    private path;
    private status;
    private error;
    private method;
    constructor({ path, status, error, method }: APIError);
}
export {};
