"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SnowflakeToDate = void 0;
const HIVEN_EPOCH = 1562544e6;
function SnowflakeToDate(snowflake) {
    const time = parseInt(snowflake, 10) / 4194304 + HIVEN_EPOCH;
    const timestamp = !Number.isNaN(time) ? time : '';
    return new Date(timestamp);
}
exports.SnowflakeToDate = SnowflakeToDate;
//# sourceMappingURL=Snowflake.js.map