/// <reference types="node" />
import { EventEmitter } from 'events';
interface WSSettings {
    reconnectInt: number;
    reconnectCount: number;
}
export declare class WS extends EventEmitter {
    private heartbeatInterval;
    private reconnectionCount;
    private settings;
    private cache;
    private ws;
    constructor(settings?: WSSettings, cache?: {});
    sendOp(op: number, data?: any): Promise<false | void>;
    startHeartbeat(int: number): Promise<void>;
    destroy(): Promise<void>;
    init(): Promise<unknown>;
    reconnect(): Promise<boolean>;
}
export {};
